# DataExchange
TKIGES
IGESDefs

# IGESDefs_AttributeTable Class Reference

defines IGES Attribute Table, Type <422> Form <0, 1>
in package IGESDefs
This class is used to represent an occurence of
Attribute Table. This Class may be independent
or dependent or pointed at by other Entities.

`#include <IGESDefs_AttributeTable.hxx>`

Inheritance diagram for IGESDefs_AttributeTable:

[legend]

## Public Member Functions

Standard_EXPORT | IGESDefs_AttributeTable ()
Standard_EXPORT void | Init (const Handle(TColStd_HArray2OfTransient)&attributes)
| This method is used to set the fields of the class AttributeTable - attributes : Attribute instances, created as (1,NbAttributes,1,NbRows) - NbRows = 1 is a particular case (Form 0) .
Standard_EXPORT void | SetDefinition (const Handle(IGESDefs_AttributeDef)&def)
| Sets a Definition as Structure information (works by calling InitMisc) .
Standard_EXPORT Handle_IGESDefs_AttributeDef | Definition () const
| Return the Structure information in Directory Entry, casted as an AttributeDef .
Standard_EXPORT Standard_Integer | NbRows () const
| returns Number of Rows. Remark that it is always 1 if Form = 0 It means that the list of Attributes (by their number, and for each one its type and ValueCount) is repeated <nbrows> times
Standard_EXPORT Standard_Integer | NbAttributes () const
| returns Number of Attributes
Standard_EXPORT Standard_Integer | DataType (const Standard_Integer Atnum) const
| returns the Type of an Attribute, given its No. : it is read in the Definition. (1 : Integer, 2 : Real, 3 : String, 4 : Entity, 6 : Logical)
Standard_EXPORT Standard_Integer | ValueCount (const Standard_Integer Atnum) const
| returns the Count of Value for an Attribute, given its No. : it is read in the Definition.
Standard_EXPORT Handle_Standard_Transient | AttributeList (const Standard_Integer Attribnum, const Standard_Integer Rownum) const
Standard_EXPORT Standard_Integer | AttributeAsInteger (const Standard_Integer AtNum, const Standard_Integer Rownum, const Standard_Integer ValNum) const
| Returns Attribute Value <AtNum, Rownum, rank ValNum> as an Integer //! Error if Indices out of Range, or no Value defined, or not an Integer .
Standard_EXPORT Standard_Real | AttributeAsReal (const Standard_Integer AtNum, const Standard_Integer Rownum, const Standard_Integer ValNum) const
| Returns Attribute Value <AtNum, Rownum, rank ValNum> as a Real //! Error if Indices out of Range, or no Value defined, or not a Real .
Standard_EXPORT Handle_TCollection_HAsciiString | AttributeAsString (const Standard_Integer AtNum, const Standard_Integer Rownum, const Standard_Integer ValNum) const
| Returns Attribute Value <AtNum, Rownum, rank ValNum> as an Integer .
Standard_EXPORT Handle_IGESData_IGESEntity | AttributeAsEntity (const Standard_Integer AtNum, const Standard_Integer Rownum, const Standard_Integer ValNum) const
| Returns Attribute Value <AtNum, Rownum, rank ValNum> as an Entity //! Error if Indices out of Range, or no Value defined, or not an Entity .
Standard_EXPORT Standard_Boolean | AttributeAsLogical (const Standard_Integer AtNum, const Standard_Integer Rownum, const Standard_Integer ValNum) const
| Returns Attribute Value <AtNum, Rownum, rank ValNum> as a Boolean //! Error if Indices out of Range, or no Value defined, or not a Logical .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TColStd_HArray2OfTransient | theAttributes

## Constructor & Destructor Documentation

Standard_EXPORT IGESDefs_AttributeTable::IGESDefs_AttributeTable | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESDefs_AttributeTable::AttributeAsEntity | ( | const Standard_Integer | AtNum,
|  | const Standard_Integer | Rownum,
|  | const Standard_Integer | ValNum
| ) | const

Standard_EXPORT Standard_Integer IGESDefs_AttributeTable::AttributeAsInteger | ( | const Standard_Integer | AtNum,
|  | const Standard_Integer | Rownum,
|  | const Standard_Integer | ValNum
| ) | const

Standard_EXPORT Standard_Boolean IGESDefs_AttributeTable::AttributeAsLogical | ( | const Standard_Integer | AtNum,
|  | const Standard_Integer | Rownum,
|  | const Standard_Integer | ValNum
| ) | const

Standard_EXPORT Standard_Real IGESDefs_AttributeTable::AttributeAsReal | ( | const Standard_Integer | AtNum,
|  | const Standard_Integer | Rownum,
|  | const Standard_Integer | ValNum
| ) | const

Standard_EXPORT Handle_TCollection_HAsciiString IGESDefs_AttributeTable::AttributeAsString | ( | const Standard_Integer | AtNum,
|  | const Standard_Integer | Rownum,
|  | const Standard_Integer | ValNum
| ) | const

Standard_EXPORT Handle_Standard_Transient IGESDefs_AttributeTable::AttributeList | ( | const Standard_Integer | Attribnum,
|  | const Standard_Integer | Rownum
| ) | const

Standard_EXPORT Standard_Integer IGESDefs_AttributeTable::DataType | ( | const Standard_Integer | Atnum | ) | const

Standard_EXPORT Handle_IGESDefs_AttributeDef IGESDefs_AttributeTable::Definition | ( |  | ) | const

Standard_EXPORT const IGESDefs_AttributeTable::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDefs_AttributeTable::Init | ( | const Handle(TColStd_HArray2OfTransient)& | attributes | ) |

Standard_EXPORT Standard_Integer IGESDefs_AttributeTable::NbAttributes | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDefs_AttributeTable::NbRows | ( |  | ) | const

Standard_EXPORT void IGESDefs_AttributeTable::SetDefinition | ( | const Handle(IGESDefs_AttributeDef)& | def | ) |

Standard_EXPORT Standard_Integer IGESDefs_AttributeTable::ValueCount | ( | const Standard_Integer | Atnum | ) | const

## Field Documentation

Handle_TColStd_HArray2OfTransient IGESDefs_AttributeTable::theAttributes `[private]`

The documentation for this class was generated from the following file:

- IGESDefs_AttributeTable.hxx